Subject: Re: [PATCH 4/4] built-in rebase: call `git am` directly

From: Junio C Hamano <[email-masked]>
Date: Fri, 18 Jan 2019 09:59:19 -0800

Johannes Schindelin <[email-masked]> writes:

>> Overall, this was quite a pleasant read and a well constructed
>> series.  Other than two minor points (i.e. interaction with the
>> 'post-checkout hook' topic, and discard_cache() before calling
>> move_to_original_branch) I did not quite understand, looks good to
>> me.
>> 
>> When merged to 'pu', I seem to be getting failure from t3425.5, .8
>> and .11, by the way.  I haven't dug into the actual breakages any
>> further than that.
>
> Sorry for the trouble, and for my silence (I was heads-down into the Azure
> Pipelines support).
>
> I did not see any breakage in `pu` lately, hopefully things resolved
> themselves?

The (semantic) conflict resolution can be seen in

    $ git show 'origin/pu^{/^Merge branch .js/rebase-am. into}'

which is recorded in my rerere database ;-)